<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."zitate_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."zitate_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."infusion_title/locale/English.php";
}


if(isset($_POST['btn_cancel'])){
header("Location: ".$PHP_SELF);
}
if($action=="delete"){
opentable($locale['zit_002']); 
$result=dbquery("DELETE FROM ".$db_prefix."zitate WHERE zitate_id='$zitate_id'");
echo "<center><br".$locale['zit_006']."><br><br>\n";
echo "<a href=\"zitate.php\">".$locale['zit_006']."</a><br><br>
<br><br></center>\n";

closetable();
require_once BASEDIR."footer.php";
}else{
     if(isset($_POST['btn_save'])){
     $w_text=addslashes($zitate_text);
     $w_auth=addslashes($zitate_author);

     if($action=="edit"){
     $result=dbquery("UPDATE ".$db_prefix."zitate SET zitate_text='$w_text',
     zitate_author='$w_auth' WHERE zitate_id='$zitate_id'");
     }else{
     if( $w_text != '' &&  $w_auth != '' ) {
     $result=dbquery("INSERT INTO ".$db_prefix."zitate VALUES('', '$w_text', '$w_auth')");
     }
     }
     unset($action, $zitate_text, $zitate_auth, $zitate_id, $w_text, $w_auth);
     }
if ($action == "edit") {
$result=dbquery("SELECT * FROM ".$db_prefix."zitate WHERE zitate_id='$zitate_id'");
$data=dbarray($result);
$w_id=$data[zitate_id];
$w_text=stripslashes($data[zitate_text]);
$w_auth=stripslashes($data[zitate_author]);
$formaction = "$PHP_SELF?action=edit&zitate_id=$w_id";// $formaction = "$PHP_SELF?action=edit&zitate_id=$data[zitate_id]";
opentable($locale['zit_003']); 
} else {
$formaction = "$PHP_SELF";
opentable($locale['zit_004']); 
}
echo "<table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" class=\"body\">\n";
echo "<form name=\"frm_zitate\" method=\"post\" action=\"$formaction\">\n";
echo "<tr><td align=\"right\">ID:</td><td><input type=\"textbox\" name=\"zitate_id\"
value=\"$w_id\" class=\"textbox\" style=\"width:50px;\" disabled=\"false\"></td></tr>\n";
echo "<tr><td align=\"right\" valign=\"top\">".($locale['zit_008'])."</td><td><textarea name=\"zitate_text\"
class=\"textbox\" style=\"width:300px; height:70px;\">$w_text</textarea></td></tr>\n";
echo "<tr><td align=\"right\">".($locale['zit_009'])."</td><td><input type=\"textbox\" name=\"zitate_author\"
value=\"$w_auth\" class=\"textbox\" style=\"width:300px;\"></td></tr>\n";
echo "<tr><td align=\"center\" colspan=\"2\"><input type=\"submit\" name=\"btn_save\"
value=\"".($locale['zit_010'])."\" class=\"button\" style=\"width:105px;\"> <input type=\"submit\"
name=\"btn_cancel\" value=\"".($locale['zit_011'])."\" class=\"button\" style=\"width:80px;\"></td></tr>\n";
echo "</form></table>\n";
closetable();
tablebreak();
opentable($locale['zit_005']); 
$result = dbquery("SELECT * FROM ".$db_prefix."zitate ORDER BY zitate_id");
if(dbrows($result)!=0){
echo "<table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" class=\"body\">\n";
echo "<tr><td class=\"altbg\" align=\"center\">".($locale['zit_012'])."</td><td width=\"20\" align=\"right\"></td><td width=\"20\" align=\"center\">".($locale['zit_014'])."</td><td width=\"20\" align=\"right\"></td><td class=\"altbg\" align=\"center\">".($locale['zit_013'])."</td></tr>\n";
$r=0;
while($data=dbarray($result)){
$w_id=$data[zitate_id];
$w_text=stripslashes($data[zitate_text]);
if(strlen($w_text)>100){$w_text=substr($w_text,0,(100-3))."...";}
$w_auth=stripslashes($data[zitate_author]);
if(($r%2)==0){echo"<tr class=\"forum1\">";}else{echo"<tr class=\"forum2\">";}
echo "<td valign=\"top\"><a href=\"$PHP_SELF?action=edit&zitate_id=$w_id\">$w_text</a>
</td>\n";
echo "<td width=\"25\" align=\"left\"></td>\n";
echo "<td align=\"left\"><span class=\"small alt\"> - $w_auth</span></td>\n";
echo "<td width=\"25\" align=\"left\"></td>\n";
echo "<td align=\"right\"><a href=\"$PHP_SELF?action=delete&zitate_id=$w_id\">lschen</a></td></tr>\n";
$r++;
 }


echo "</table>\n";}
else {
echo "<center>Kein Zitat in der Datenbank!</center>\n</table>\n  ";
}
closetable();
echo "</td>\n";
require_once BASEDIR."footer.php";}
?>